DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Protected Member Functions | Static Private Attributes | List of all members
IODSynchronizationModule Class Reference

Class representing the Synchronization Module: More...

Inheritance diagram for IODSynchronizationModule:

## Public Member Functions
| IODSynchronizationModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor. More...
| IODSynchronizationModule ()
| Constructor.
virtual | ~IODSynchronizationModule ()
| Destructor.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of module. More...
virtual OFCondition | getSynchronizationFrameOfReferenceUID (OFString &value, const signed long pos=0) const
| Get Synchronization Frame of Reference UID. More...
virtual OFCondition | getSynchronizationTrigger (OFString &value, const signed long pos=0) const
| Get Synchronization Trigger. More...
virtual OFCondition | getTriggerSourceOrType (OFString &value, const signed long pos=0) const
| Get Trigger Source or Type. More...
virtual OFCondition | getSynchronizationChannel (OFVector< Uint16 > &value) const
| Get Synchronization Channel. More...
virtual OFCondition | getAcquisitionTimeSynchronized (OFString &value, const signed long pos=0) const
| Get Acquisition Time Synchronized. More...
virtual OFCondition | getTimeSource (OFString &value, const signed long pos=0) const
| Get Time Source. More...
virtual OFCondition | getTimeDistributionProtocol (OFString &value, const signed long pos=0) const
| Get Time Distribution Protocol. More...
virtual OFCondition | getNTPSourceAddress (OFString &value, const signed long pos=0) const
| Get NTP Source Address. More...
virtual OFCondition | setSynchronizationFrameofReferenceUID (const OFString &value, const OFBool checkValue=OFTrue)
| Set Synchronization Frame of Reference UID. More...
virtual OFCondition | setSynchronizationTrigger (const OFString &value, const OFBool checkValue=OFTrue)
| Set Synchronization Trigger. More...
virtual OFCondition | setTriggerSourceOrType (const OFString &value, const OFBool checkValue=OFTrue)
| Set Trigger Source or Type. More...
virtual OFCondition | setSynchronizationChannel (const OFPair< Uint16, Uint16 > &value, const OFBool checkValue=OFTrue)
| Set Synchronization Channel. More...
virtual OFCondition | setAcquisitionTimeSynchronized (const OFString &value, const OFBool checkValue=OFTrue)
| Set Acquisition Time Synchronized. More...
virtual OFCondition | setTimeSource (const OFString &value, const OFBool checkValue=OFTrue)
| Set Time Source. More...
virtual OFCondition | setTimeDistributionProtocol (const OFString &value, const OFBool checkValue=OFTrue)
| Set Time Distribution Protocol. More...
virtual OFCondition | setNTPSourceAddress (const OFString &value, const OFBool checkValue=OFTrue)
| Set NTP Source Address. More...
Public Member Functions inherited from IODModule
| IODModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor. More...
| IODModule ()
| Constructor. More...
| IODModule (const IODModule &rhs)
| Copy constructor, creates shallow copy. More...
IODModule & | operator= (const IODModule &rhs)
| Assignment operator, creates shallow copy. More...
| ~IODModule ()
| Destructor.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor. More...
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch. More...
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set. More...
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set. More...
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | clearData ()
| Clear all attributes from the data that are handled by this module. More...
virtual void | inventMissing ()
| Set missing values by inventing "default values". More...
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module. More...
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3. More...
DcmItem & | getData ()
| Get the data handled by this module. More...
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class. More...
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item. More...
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules. More...
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components. More...
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing. More...
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e. More...

## Protected Member Functions
virtual OFBool | isValidAcquisitionTimeSynchronized (const OFString &value)
| Check whether given string is a valid value for attribute Acquisition Time Synchronized. More...
virtual OFBool | isValidTimeDistributionProtocol (const OFString &value)
| Check whether given string is a valid value for attribute Time Distribution Protocol. More...
virtual OFBool | isValidSynchronizationTrigger (const OFString &value)
| Check whether given string is a valid value for attribute Synchronization Trigger. More...

## Static Private Attributes
static const OFString | m_ModuleName
| Module name "SynchronizationModule".

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name. More...
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name. More...
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class. More...
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e. More...

## Detailed Description

Class representing the Synchronization Module:

Synchronization Frame of Reference UID: (UI, 1, 1) Synchronization Trigger: (CS, 1, 1) Trigger Source or Type: (LO, 1, 3) Synchronization Channel: (US, 2, 1C) Acquisition Time Synchronized: (CS, 1, 1) Time Source: (SH, 1, 3) Time Distribution Protocol: (CS, 1, 3) NTP Source Address (LO, 1, 3)

## Constructor & Destructor Documentation

## ◆ IODSynchronizationModule()

IODSynchronizationModule::IODSynchronizationModule | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules
| ) |  |

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.

## Member Function Documentation

## ◆ getAcquisitionTimeSynchronized()

virtual OFCondition IODSynchronizationModule::getAcquisitionTimeSynchronized | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Acquisition Time Synchronized.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getName()

virtual OFString IODSynchronizationModule::getName | ( |  | ) | const
| virtual

Get name of module.

Returns
  Name of the module ("SynchronizationModule")

Implements IODComponent.

## ◆ getNTPSourceAddress()

virtual OFCondition IODSynchronizationModule::getNTPSourceAddress | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get NTP Source Address.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getSynchronizationChannel()

virtual OFCondition IODSynchronizationModule::getSynchronizationChannel | ( | OFVector< Uint16 > & | value | ) | const
| virtual

Get Synchronization Channel.

Parameters

  value | Reference to variable in which the value should be stored

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getSynchronizationFrameOfReferenceUID()

virtual OFCondition IODSynchronizationModule::getSynchronizationFrameOfReferenceUID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Synchronization Frame of Reference UID.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getSynchronizationTrigger()

virtual OFCondition IODSynchronizationModule::getSynchronizationTrigger | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Synchronization Trigger.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getTimeDistributionProtocol()

virtual OFCondition IODSynchronizationModule::getTimeDistributionProtocol | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Time Distribution Protocol.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getTimeSource()

virtual OFCondition IODSynchronizationModule::getTimeSource | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Time Source.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getTriggerSourceOrType()

virtual OFCondition IODSynchronizationModule::getTriggerSourceOrType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Trigger Source or Type.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ isValidAcquisitionTimeSynchronized()

virtual OFBool IODSynchronizationModule::isValidAcquisitionTimeSynchronized | ( | const OFString & | value | ) |
| protected virtual

Check whether given string is a valid value for attribute Acquisition Time Synchronized.

Parameters

  value | The value to check

Returns
  OFTrue if value is valid for this attribute, OFFalse otherwise

## ◆ isValidSynchronizationTrigger()

virtual OFBool IODSynchronizationModule::isValidSynchronizationTrigger | ( | const OFString & | value | ) |
| protected virtual

Check whether given string is a valid value for attribute Synchronization Trigger.

Parameters

  value | The value to check

Returns
  OFTrue if value is valid for this attribute, OFFalse otherwise

## ◆ isValidTimeDistributionProtocol()

virtual OFBool IODSynchronizationModule::isValidTimeDistributionProtocol | ( | const OFString & | value | ) |
| protected virtual

Check whether given string is a valid value for attribute Time Distribution Protocol.

Parameters

  value | The value to check

Returns
  OFTrue if value is valid for this attribute, OFFalse otherwise

## ◆ setAcquisitionTimeSynchronized()

virtual OFCondition IODSynchronizationModule::setAcquisitionTimeSynchronized | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Acquisition Time Synchronized.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setNTPSourceAddress()

virtual OFCondition IODSynchronizationModule::setNTPSourceAddress | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set NTP Source Address.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setSynchronizationChannel()

virtual OFCondition IODSynchronizationModule::setSynchronizationChannel | ( | const OFPair< Uint16, Uint16 > & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Synchronization Channel.

Parameters

  value | Value to be set
  checkValue | Check 'value'. Not evaluated (here for consistency with other setter functions).

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setSynchronizationFrameofReferenceUID()

virtual OFCondition IODSynchronizationModule::setSynchronizationFrameofReferenceUID | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Synchronization Frame of Reference UID.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setSynchronizationTrigger()

virtual OFCondition IODSynchronizationModule::setSynchronizationTrigger | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Synchronization Trigger.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setTimeDistributionProtocol()

virtual OFCondition IODSynchronizationModule::setTimeDistributionProtocol | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Time Distribution Protocol.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setTimeSource()

virtual OFCondition IODSynchronizationModule::setTimeSource | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Time Source.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setTriggerSourceOrType()

virtual OFCondition IODSynchronizationModule::setTriggerSourceOrType | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Trigger Source or Type.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modsynchronization.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1